org.apache.poi.ss.usermodel

## Class ExcelGeneralNumberFormat

- java.lang.Object
- - java.text.Format
  - - org.apache.poi.ss.usermodel.ExcelGeneralNumberFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class ExcelGeneralNumberFormat
      extends java.text.Format

  A format that formats a double as Excel would, ignoring FieldPosition. All other operations are unsupported.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.Format

      `java.text.Format.Field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelGeneralNumberFormat(java.util.Locale locale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StringBuffer` | `format(java.lang.Object number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)`
    `java.lang.Object` | `parseObject(java.lang.String source, java.text.ParsePosition pos)`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelGeneralNumberFormat

          public ExcelGeneralNumberFormat(java.util.Locale locale)

  - ### Method Detail

    - #### format

          public java.lang.StringBuffer format(java.lang.Object number,
                                               java.lang.StringBuffer toAppendTo,
                                               java.text.FieldPosition pos)

      Specified by:
        `format` in class `java.text.Format`

    - #### parseObject

          public java.lang.Object parseObject(java.lang.String source,
                                              java.text.ParsePosition pos)

      Specified by:
        `parseObject` in class `java.text.Format`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.